=== debian/changelog ===
ros-ardent-demo-nodes-cpp-native (0.4.0-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 09 Dec 2017 08:13:48 -0000
