=== debian/control ===
Source: ros-ardent-demo-nodes-cpp-native
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-ardent-ament-cmake, ros-ardent-ament-cmake-pytest, ros-ardent-ament-lint-auto, ros-ardent-ament-lint-common, ros-ardent-launch, ros-ardent-launch-testing, ros-ardent-rclcpp, ros-ardent-rmw-fastrtps-cpp, ros-ardent-std-msgs, ros-ardent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-ardent-demo-nodes-cpp-native
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-ardent-rclcpp, ros-ardent-rmw-fastrtps-cpp, ros-ardent-std-msgs, ros-ardent-ros-workspace
Description: C++ nodes which access the native handles of the rmw implemenation.
